Subject: Re: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Jun 2011 12:34:36 -0300

>>> Thank you for this feedback. I will try to address these issues when I
>>> am back from a trip on Tuesday.
>> I think it makes sense to bind the occur-edit feature to some other
>> key than C-x C-q.  While C-x C-q is a cute binding for it, it does
>> hide a command that is also useful.
> Unfortunately, C-x C-q is consistent with the command for switching to
> wdired mode.

Right, but wdired and occur-edit are two different things.
Editing a dired buffer in wdired does not have any other side effect
(at least not until you "commit" those changes), so its behavior is
still pretty close to toggle-read-only.  Occur-edit is somewhat
reminiscent of wdired, but does not match the behavior of
toggle-read-only quite as closely.

        Stefan